import LarkAuthService from "./auth"
import LarkChatService from "./chat"
import LarkDriveService from "./drive"
import LarkMessageService from "./message"
import LarkSheetService from "./sheet"
import LarkUserService from "./user"

class LarkService {
  drive: LarkDriveService
  message: LarkMessageService
  user: LarkUserService
  sheet: LarkSheetService
  auth: LarkAuthService
  chat: LarkChatService
  requestId: string

  constructor(appName: string, requestId: string) {
    this.drive = new LarkDriveService(appName, requestId)
    this.message = new LarkMessageService(appName, requestId)
    this.user = new LarkUserService(appName, requestId)
    this.sheet = new LarkSheetService(appName, requestId)
    this.auth = new LarkAuthService(appName, requestId)
    this.chat = new LarkChatService(appName, requestId)
    this.requestId = requestId
  }

  child(appName?: string) {
    if (!appName) return this
    return new LarkService(appName, this.requestId)
  }
}

export default LarkService
